 html {
    box-sizing: border-box;
  }
  
  *,
  *::before,
  ::after {
    box-sizing: inherit;
  }
  
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  p {
    margin: 0;
    padding: 0;
  }
  
  @font-face {
    font-family: 'TTLakes';
    src: local('TTLakes-Bold'),
      url('../fonts/TT-Lakes-Bold.woff2') format("woff2"),
      url('../fonts/TT-Lakes-Bold.woff') format("woff");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
  }
  
  @font-face {
    font-family: 'TTLakes';
    src: local('TTLakes-Medium'),
      url('../fonts/TT-Lakes-Medium.woff2') format("woff2"),
      url('../fonts/TT-Lakes-Medium.woff') format("woff");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
  }
  
  @font-face {
    font-family: 'TTLakes';
    src: local('TTLakes-Regular'),
      url('../fonts/TT-Lakes-Regular.woff2') format("woff2"),
      url('../fonts/TT-Lakes-Regular.woff') format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
  }
  
  body {
    font-family: 'TTLakes', sans-serif;
    font-style: normal;
    min-height: 100vh;
    background: #F8F8F8;     
  }
  
  a {
    text-decoration: none;
  }
  
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }
  
  li {
    list-style: none;
  }

  button {
    padding: 0;
    border: none;
    background-color: transparent;
    align-items: center;
    cursor: pointer;
   }

  /*Главная страница с картинкой*/

  .icon {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    object-fit: cover;
  }
  .header {
    position: relative;
    min-width: 320px;
    max-width: 1120px;
    min-height: 88px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #FFFFFF;
    border-bottom: 1px solid #D9FFF5;
    padding: 0 16px;
    box-sizing: border-box; 
  }
  .header__left {
    display: flex;
  }
  
  .header__right {
    display: flex;
    align-self: center;
    justify-content: center;
  }
  
  .header__right-list {
    display: flex;
  }

.phone,
.chat,
.user {
  display: none;
}


.header__items>.repair {
 margin-right: 16px;
}

.service {
position: relative; 
overflow: hidden;
margin: 0 auto;
margin-bottom: 32px;
}

.top__service-list {
  display: none;
}

.service-list__item {
  display: inline-block;
}

.service-list__item img {
  transition: transform 0.3s; 
}

.service-list__item img:hover {
  transform: scale(1.2); 
}

.burger {
  align-self: center;
  margin-right: 20px;
  margin-top: 8px;
}

.logo::after {
  content: '';
  width: 2px;
  height: 32px;
  position: absolute;
  top: 30px;
  left: 186px;
  background-image: url('../image/slash.svg');
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.top__title {
  margin-top: 20px;
  margin-left: 16px;
  margin-right: 13px;
  margin-bottom: 24px;
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 28px;
  line-height: 143%;
  letter-spacing: -0.6px;
  color: #1b1c21;

}

.container__tabs-nav {
  display: flex;
  margin-bottom: 24px;
  overflow-x: auto;
}

.tabs-nav__item {
  display: flex;
  flex-wrap: nowrap;
  flex: 0 0 auto;
  justify-content: flex-start;
  padding-left: 16px;
}

.tabs-nav__btn {
  padding: 8px 16px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  letter-spacing: -0.01em;
  color: #7e7e82;
}

.tabs-nav__btn--active {
  min-width: 246px;
  background-color: #FFFFFF;
  outline: 2px solid #b8ffec;
  outline-offset: -2px;
  border-radius: 6px;
}

.hero__content {
 
  overflow: hidden;
}

.hero__content__text-n {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 129%;
  letter-spacing: 0.01em;
  color: #1b1c21;
  padding-left: 16px;
  margin-bottom: 16px;
  text-align: left;
  margin-right: 36px;
  display: none;
     position: relative;
    top: 100%;
    opacity: 0;
    animation: slideDown 0.4s ease forwards;
}

@keyframes slideDown {
    from {
        top: 100%;
        opacity: 0;
    }
    to {
        top: 0;
        opacity: 1;
    }
}

.hero__content__text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 129%;
  letter-spacing: 0.01em;
  color: #1b1c21;
  padding-left: 16px;
  margin-bottom: 16px;
  text-align: left;
}

.hero__link {
  display: inline-flex;
  align-items: center;
  padding-left: 8px;
  margin-bottom: 16px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  letter-spacing: -0.01em;
  color: #1b1c21;
}

.link-image {
  padding-left: 16px;
  transition: transform 0.4s ease; 
}

.link-image.rotated {
  padding-right: 16px;
  padding-left: 0;
  transform: rotate(180deg); 
}

.hero-img {
  width: 100%;
  max-width: 100%; 
  height: auto; 
}

::-webkit-scrollbar {
  display: none;
}
  
button {
padding: 0;
border: none;
background-color: transparent;
align-items: center;
cursor: pointer;
}
  
a:visited,
a:link,
a:active {
color: inherit;
}

.tabs-nav__btn:focus {
  outline: 2px solid #b8ffec;
  background-color: #FFFFFF;
  outline-offset: -2px;
  border-radius: 6px;
  opacity: 0.8;
  }
    
  .tabs-nav__btn:hover {
  background-color: #FFFFFF;
  outline: 2px solid #b8ffec;
  outline-offset: -2px;
  border-radius: 6px;
  }
    
  .tabs-nav__btn:active {
  border-radius: 6px;
  opacity: 1;
  }
  
  .hero-img {
  width: 100%; 
  height: auto;
  }
  
  .repair {
  object-fit: cover;
  }
  
/*Открывающееся меню слева*/

.main-menu {
  width: 320px;
  min-height: 100vh;
  flex-direction: column;
  box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1); 
  position: fixed;
  top: 0;
  left: 0;
  background-color: #F8F8F8;
  display: none;
}

  .menu__top {
  width: 320px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 24px 23px;
}

.logo {
  width: 97px;
  height: 51px;
}

.menu__top-left {
  display: flex;
  align-items: center;
  gap: 16px;
}

.button-top img {
  transition: transform 0.3s; 
}

.button-top:hover img {
  transform: scale(1.2); 
}

.menu__service {
  margin-top: 25px;
  flex: 1;
 }

 .menu__service__nav {
  display: flex;
  flex-direction: column;
 }

.menu__service__nav li {
  cursor: pointer;
  position: relative;
  display: inline-block;
  padding-left: 20px;
}

.menu__service__nav__item {
  font-family: TTLakes;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.20000000298023224px;
  text-align: left;
  color: #1B1C21;
  transition: transform 0.5s;
  margin-bottom: 26px;
}

.menu__service__nav__item_active {
  opacity: 0.6;
}

.menu__service__nav__item_active::before {
  content: '';
  position: absolute;
  width: 4px;
  height: 32px;
  background-image: url('../image/highlight.svg');
  left: 0;
  top: -15%
}

.menu__service__nav__item:focus {
  opacity: 0.6;
}

.menu__service__nav__item:hover {
  opacity: 0.6;
  transform: translateX(5px);
}

.menu__service__nav__item::after {
  content: '';
  position: absolute;
  left: 18px;
  bottom: -5px;
  height: 1px;
  width: 90%;
  background-color: rgb(59, 59, 59);
  transition: all 0.3s ease;
  transform: scaleX(0);
  transform-origin: bottom right;
}

.menu__service__nav__item:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.menu__service__nav__item:focus::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.menu__contact-icons {
  top: 260px;
  margin-left: 24px;
  margin-right: 150px;
  display: flex;
  justify-content: space-between;
}

.footer-info__mail {
  display: block;
  width: 100%;
  margin-left: 24px;
  margin-top: 16px;
  margin-bottom: 12px;
  font-family: TTLakes;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.20000000298023224px;
  text-align: left;
  cursor: pointer;
}

.footer-info__number {
  display: block;
  margin-left: 24px;
  font-family: TTLakes;
  font-size: 24px;
  font-weight: 700;
  line-height: 32px;
  letter-spacing: -0.6000000238418579px;
  text-align: left;
  color: #1B1C21;
  margin-bottom: 40px;
  cursor: pointer;
}

.info-language__choice {
  margin-left: 24px;
  margin-bottom: 32px;
}

.language__choice__item {
  display: inline;
  font-family: TTLakes;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.20000000298023224px;
  text-align: left;
  color: #1B1C21;
  cursor: pointer;
}

.language__choice__item_active {
  opacity: 0.6;
}

.language__choice__item:hover {
  opacity: 0.6;
}

.language__choice__item:focus {
  opacity: 0.6;
}

.blurred {
  filter: blur(3px); 
  pointer-events: none; 
}

.show-menu {
  width: 100%; 
  height: 100vh;
  position: fixed; 
  top: 0;
  left: 0;
  z-index: 999; 
  background-color: #FFFFFF;
  box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1); 
  width: 320px;
  
}

/*Анимация для бургер-меню*/

@keyframes moveOpenMenu {
  from {
      left: -320px;
  }
  to {
      left: 0px;
  }
}

.move-left {
  position: absolute;
  left: 0;
  animation: moveOpenMenu 0.8s forwards; 
  z-index: 5;
} 

@keyframes moveClosedMenu {
  from {
      left: 0px;
  }
  to {
      left: -320px;
  }
}

.menu-closed {
  animation: moveClosedMenu 0.8s forwards; 
  z-index: 2;
}

/* Слайдер для брендов*/
.block-size {
  position: relative; 
  margin: 0 auto; 
  overflow: hidden;
  }

  .top__title-brand {
    border-top: 1px solid #d9fff5;
  font-family: TTLakes;
  font-size: 16px;
  line-height: 24px;
  text-align: left;
  color: #7E7E82;
  text-transform: uppercase;
  font-weight: 400;
  letter-spacing: 0.2px;
  background-color: #ffffff;
  height: 60px;
  margin-left: 16px;
  width: 100%;
  }

  .top__title-brand.brand-1,
  .top__title-brand.brand-2 {
   padding-top: 8px;
   padding-bottom: 5px;
   }

   .top__title-brand.brand-3 {
    padding-top: 16px;
   }

  .show-hide-button {
  display: none;
  }
    
  .swiper {
  padding: 16px 16px 24px 16px;
  }

  .swiper-wrapper {
  margin-bottom: 16px;
  min-width: 0;
  }
  
  .swiper-slide {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 240px;
  height: 72px;
  border: 1px solid rgb(234, 234, 234);
  background: rgb(255, 255, 255);
  border-radius: 6px; 
  padding: 16px;
  box-sizing: border-box;
  }
           
  .slider::after { 
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 10px; 
  z-index: 1;
  background: linear-gradient(to right, rgba(248, 248, 248, 0.025) 0%, #f8f8f803 0%, #ffffff 98.61%);
  }
      
  .swiper-pagination-bullet {
  width: 12px; 
  height: 12px; 
  font-size: 14px;
  background-color: #B5B6BC;
  
  }

  .show-hide-button__image {
  display: none;
  }


  /*Слайдер для ремонта ноутбуков*/

  .swiper-slide.slide-2 {
    display: flex;
    justify-content: space-between;
    height: 160px;
    align-items: flex-start;
  }

  .slide-span {
    align-self: flex-start;
  }

  .slide__button-2 {
    align-self: flex-end;
  }

  /*Слайдер для заказа*/

  .swiper-slide.slide-3 {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    height: 200px;
    width: 260px;  
  }

    .text-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.text-header {
    color: #7E7E82;
    display: block; 
    line-height: 16px;
    margin-bottom: 3px;
}

.text-content {
    display: inline-block; 
    margin-top: 5px; 
}

.button-buy {
    display: flex; 
    align-items: center;
    color: white;
    border: none;
    padding: 5px 15px;
    border-radius: 16px;  
    background: rgb(255, 62, 121);
    text-transform: uppercase;
    margin-left: 16px;
    width: 120px;
    height: 32px;
    font-family: "TTLakes";
    font-size: 12px;
    line-height: 24px;
    letter-spacing: -0.15px;
    text-align: left;
    background-image: url('../image/dropdown.svg');
    background-position: right;
    background-repeat: no-repeat;
    background-position-x: 87%;
    font-weight: 700;
    cursor: pointer;
   
}

/* Стилизация таблицы для услуг*/

.slider__table-info {
  margin-top: 31px;
  width: 100%;
  padding-left: 16px;
}

.table-info__block {
  border-collapse: collapse;
  border-spacing: 10px;
  width: 100%;
}

.table-info__block td,
.table-info__block th {
  border: none;
}

.block__head {
  padding-left: 16px;
  color: rgb(126, 126, 130);
  text-align: left;
  font-family: 'TTLakes';
  font-weight: 400;
  letter-spacing: 0.2px;
}

.block__head th {
  font-weight: normal;
  padding-left: 16px;
}

.block__body {
  background-color: #ffffff;
  border-radius: 16px;
  margin-top: 40px;
}

.block__body-rows {
  position: relative;
}

.block__body-rows td {
  padding: 14px;
}

.block__body-rows td:first-child {
  padding-left: 16px; 
}

.block__body-rows td:last-child {
  padding-right: 16px; 
}

.block__body-rows:not(:last-child)::after {
  content: '';
  position: absolute;
  left: 16px;
  bottom: 0;
  width: 100%;
  height: 1px;
  background-color: #EAEAEA;
}

.slider__block-nds {
  padding: 16px;
}

.block__commercial-price {
  padding: 0 16px 16px 16px;
  font-weight: bold;
  font-family: 'TTLakes';
font-size: 16px;
line-height: 24px;
letter-spacing: -0.2px;
text-align: left;
cursor: pointer;
}

.commercial-price__link {
  cursor: pointer;
}

.commercial-price__image {
  padding-left: 8px;
  vertical-align: middle;
}

.slider__table-info {
  display: none;
}

/*Блок footer*/
.footer {
  display: flex;
  flex-wrap: wrap;
  text-align: center;
  color: #7E7E82;
}

.footer__column {
  flex: 1 1 100%;
  margin: 10px;
}

/* Модальное окно звонок*/

.modal-call {
  width: 320px;
  padding: 24px 16px;
  min-height: 100vh;
  flex-direction: column;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.1); 
  position: fixed;
  top: 0;
  right: 0;
  background-color: #F8F8F8;
  display: none;
}

.show-modal-call {
display: flex; 
width: 100%; 
height: 100vh;
position: fixed; 
top: 0;
right: 0;
z-index: 999; 
background-color: #FFFFFF;
box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1); 
width: 320px;
z-index: 3;
}

.modal-call__form {
display: flex;
flex-direction: column;
}

.call__form-title {
margin-top: 28px;
margin-bottom: 16px;
font-family: var(--font-family);
font-weight: 700;
font-size: 28px;
line-height: 143%;
letter-spacing: -0.6px;
}

.call__form-title::before {
  content: '';
  position: absolute;
  width: 3px;
  height: 32px;
  background-image: url('../image/highlight.svg');
  left: 0;
  margin-top: 4px;
}

.call__form-input {
    width: 100%;
    box-sizing: border-box;
    padding: 14px;
    border: 1px solid rgb(234, 234, 234);
    border-radius: 8px;
    margin-bottom: 18px;
}

.form-text__pink {
color: #FF3E79;
}

.call__form-button {
display: flex; 
align-items: center;
color: white;
border: none;
padding: 5px 15px;
border-radius: 16px;  
background: rgb(255, 62, 121);
text-transform: uppercase;
align-self: flex-end;
width: 120px;
height: 32px;
font-family: "TTLakes";
font-size: 12px;
line-height: 24px;
letter-spacing: -0.15px;
text-align: left;
background-image: url('../image/dropdown.svg');
background-position: right;
background-repeat: no-repeat;
background-position-x: 87%;
font-weight: 700;
cursor: pointer;
margin-top: 18px;
}

.modal-call__button {
 text-align: left;
}

/*Анимация для модальных окон*/

@keyframes moveOpenModalForm {
  from {
      right: -480px;
  }
  to {
      right: 0px;
  }
}

.move-right {
  position: absolute;
  right: 0;
  animation: moveOpenModalForm 0.8s forwards; 
  z-index: 5;
} 

/*Блок - вся страница*/

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.453); 
  z-index: 4;
  display: none;
}

.overlay_active {
  z-index: 4; 
  display: block;
}


/* Модальное окно обратная связь*/

.modal-feedback {
  width: 320px;
  padding: 24px 16px;
  min-height: 100vh;
  flex-direction: column;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.1); 
  position: fixed;
  top: 0;
  right: 0;
  background-color: #F8F8F8;
  z-index: 10;
  display: none;
}

.show-modal-feedback {
display: flex; 
width: 100%; 
height: 100vh;
position: fixed; 
top: 0;
right: 0;
z-index: 999; 
background-color: #FFFFFF;
box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1); 
width: 320px;
z-index: 10;
}

.modal-feedback__form {
display: flex;
flex-direction: column;
}

.feedback__form-title {
margin-top: 28px;
margin-bottom: 16px;
font-family: var(--font-family);
font-weight: 700;
font-size: 28px;
line-height: 143%;
letter-spacing: -0.6px;
}

.feedback__form-title::before {
  content: '';
  position: absolute;
  width: 3px;
  height: 32px;
  background-image: url('../image/highlight.svg');
  left: 0;
  margin-top: 4px;
}

.feedback__form-input {
  width: 100%;
  box-sizing: border-box;
  padding: 14px;
  border: 1px solid rgb(234, 234, 234);
  border-radius: 8px;
  margin-bottom: 18px;
    
}

.feedback-text {
  height: 118px;
}

.feedback__form-button {
display: flex; 
align-items: center;
color: white;
border: none;
padding: 5px 15px;
border-radius: 16px;  
background: rgb(255, 62, 121);
text-transform: uppercase;
align-self: flex-end;
width: 120px;
height: 32px;
font-family: "TTLakes";
font-size: 12px;
line-height: 24px;
letter-spacing: -0.15px;
text-align: left;
background-image: url('../image/dropdown.svg');
background-position: right;
background-repeat: no-repeat;
background-position-x: 87%;
font-weight: 700;
cursor: pointer;
margin-top: 18px;
}

.modal-feedback__button {
 text-align: left;
}